[CITE-Forum] Conflicts between wcs 1.0 and 1.1

Raj Singh rsingh at opengeospatial.org
Wed Aug 13 15:06:58 EDT 2008


We don't have a formal maintainer. It's sort of a shared  
responsibility among membership.

Please submit patches! Commit to subversion and comment thoroughly,  
and I think that should be good enough for now.
---
Raj


On Aug 12, 2008, at 5:16 PM, Justin Deoliveira wrote:

> Cool, here are a list of the tests that fail.
>
> wcs1-0-0:basic_service_elements-service_exceptions-1
> wcs1-0-0:basic_service_elements-version_numbering_and_negotiation-3
> wcs1-0-0:basic_service_elements-version_numbering_and_negotiation-4
> wcs1-0-0:describecoverage_operations-describecoverage_request-get- 
> kvp-1
> wcs1-0-0:describecoverage_operations-describecoverage_request-get- 
> kvp-2
> wcs1-0-0:describecoverage_operations-describecoverage_request-post- 
> kvp-1
> wcs1-0-0:describecoverage_operations-describecoverage_request-post- 
> kvp-2
> wcs1-0-0:describecoverage_operations-describecoverage_request-post- 
> xml-1
> wcs1-0-0:describecoverage_operations-describecoverage_request-post- 
> xml-2
> wcs1-0-0:getcoverage_operations-getcoverage_request-service_version- 
> get-kvp-1
> wcs1-0-0:getcoverage_operations-getcoverage_request-service_version- 
> get-kvp-2
> wcs1-0-0:getcoverage_operations-getcoverage_request-service_version- 
> post-kvp-1
> wcs1-0-0:getcoverage_operations-getcoverage_request-service_version- 
> post-kvp-2
> wcs1-0-0:getcoverage_operations-getcoverage_request-service_version- 
> post-xml-1
> wcs1-0-0:getcoverage_operations-getcoverage_request-service_version- 
> post-xml-2
>
>
> Do those tests have a maintainer? Can we submit patches?
>
> -Justin
>
> Raj Singh wrote:
>> Those new wcs 1.0.0 tests are still in beta, so there's no problem  
>> with
>> modifying them to work better.
>>
>> ---
>> Raj
>>
>>
>> On Aug 12, 2008, at 3:37 PM, Justin Deoliveira wrote:
>>
>>> These are the new wcs 1.0.0 tests taken directly from the subversion
>>> repsitory. Revision 2363, however I just updated to 2426 and saw  
>>> some
>>> updates, but nothing to the wcs tests.
>>>
>>> -Justin
>>>
>>> Raj Singh wrote:
>>>> Are you talking about the "old" WCS 1.0.0 tests based on the
>>>> OpenGroup  engine, or the "new" WCS 1.0.0 tests?
>>>> ---
>>>> Raj
>>>> On Aug 12, 2008, at 10:39 AM, Normand Savard wrote:
>>>>> Justin Deoliveira wrote:
>>>>>> Hi All,
>>>>>>
>>>>>> I think this issue came up during ows 5 and the wcs 1.1 testbed,
>>>>>> but I
>>>>>> thought I would bring it up again.
>>>>>>
>>>>>> Basically its not possible to pass all of the wcs 1.0 test cases
>>>>>> while
>>>>>> wcs 1.1 is active. The reason being that many of the tests omit  
>>>>>> the
>>>>>> version parameter from requests, and then test for a particular
>>>>>> exception. I can provide a list of all the tests that fail if  
>>>>>> need
>>>>>> be.
>>>>>>
>>>>>> I am wondering if there is anything that can be done about this?
>>>>>> Perhaps
>>>>>> modifying the wcs 1.0 test suite? Currently the only workaround  
>>>>>> to
>>>>>> pass
>>>>>> the wcs 1.0 tests in GeoServer is to manually disable wcs 1.1
>>>>>> support...
>>>>>> which is not ideal.
>>
>
>
> -- 
> Justin Deoliveira
> Software Engineer, OpenGeo
> http://opengeo.org
> _______________________________________________
> CITE-Forum mailing list
> CITE-Forum at lists.opengeospatial.org
> https://lists.opengeospatial.org/mailman/listinfo/cite-forum



More information about the CITE-Forum mailing list